from peewee import *
import random

db = SqliteDatabase('default.db')
db.connect()

class Game(Model):
    name = CharField()
    switch = BooleanField()
    outcome = BooleanField()

    class Meta:
        database = db


class Doors:
    def __init__(self, selected, name):
        self.name = name
        self.switch = False
        self.selected = selected
        self.car = random.randint(1,3)
        self.open_door = self.host_twist()

    def host_twist(self):
        open_door = random.randint(1,3)
        if open_door == self.car or open_door == self.selected:
            return self.host_twist()
        return open_door

    def out_come(self):

        win = self.selected == self.car
        Game.create(name=self.name, switch=self.switch, outcome=win)


if __name__ == '__main__':
    seed = input('Seed the database[y/n]: ').lower()
    if seed in ['y', 'yes']:
        print('seeding')
        db.create_tables([Game])

    exit()
